/**
 * Copyright (c) 2015 Tomek Wójcik <tomek@bthlabs.pl>
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
// Pebble.addEventListener('ready', function(e) {
//     console.log('JS Ready!');
// });

Pebble.addEventListener('showConfiguration', function(e) {
    Pebble.openURL('http://127.0.0.1/u/bilbo/pebble/iclock/index.html');
    // Pebble.openURL('https://pconf.bthlabs.pl/intuiclock/index.html');
});

Pebble.addEventListener('webviewclosed', function(e) {
    var config_data = JSON.parse(decodeURIComponent(e.response));
    // console.log('Configuration page returned: ' + JSON.stringify(config_data));

    var dict = {};
    dict['KEY_SECONDS_HAND'] = config_data['seconds_hand'];
    dict['KEY_BATTERY_INDICATOR'] = config_data['battery_indicator'];
    dict['KEY_DATE_FORMAT'] = config_data['date_format'];
    dict['KEY_WIDE_LAYOUT'] = config_data['wide_layout'];

    Pebble.sendAppMessage(dict, function() {
        // console.log('Send successful!');
    }, function() {
        // console.log('Send failed!');
    });
});
